Page MenuHomePhabricator

Access original article from suggestions list
Closed, ResolvedPublic1 Story Points

Description

When providing suggestions to translate, users may need to check the source article. Currently the suggestion list is optimised to start a new translation and that makes sense to be the main action. However a secondary option to access the source article may be useful. Some options:

  • Use the language indicator as a link to the article with a "view original article" tooltip.
  • Provide a way to access it from the "New translation" dialog once it opens pre-filled for the user to start the translation (view T111094).

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 1:15 PM
santhosh added a subscriber: santhosh.
Arrbee set Security to None.
Pginer-WMF updated the task description. (Show Details)Sep 2 2015, 9:22 AM

Change 232019 had a related patch set uploaded (by Santhosh):
Dashboard: Show translation suggestions

https://gerrit.wikimedia.org/r/232019

santhosh claimed this task.Sep 3 2015, 8:14 AM
santhosh triaged this task as Normal priority.
santhosh edited projects, added LE-CX6-Sprint 3; removed LE-CX6-Sprint 4.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 3 board.
santhosh edited a custom field.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 4 2015, 3:13 PM
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 4 board.Sep 9 2015, 6:41 AM
Arrbee moved this task from In Progress to In Review on the LE-CX6-Sprint 4 board.

Change 232019 merged by jenkins-bot:
Dashboard: Show translation suggestions

https://gerrit.wikimedia.org/r/232019

santhosh closed this task as Resolved.Sep 10 2015, 4:45 AM

Use the language indicator as a link to the article with a "view original article" tooltip.

This was done in https://gerrit.wikimedia.org/r/232019

santhosh moved this task from In Review to Done on the LE-CX6-Sprint 4 board.Sep 10 2015, 4:45 AM